% Funzione che converte i dati in mV/V della cella di carico in dati di 
% forza mediante i valori di calibrazione.
% Il risultato è la matrico DatiLoad

function DatiLoad = conv_grezziLL(Load,DCalLLTot,NodoLoadLink,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'conv_grezziLL function started';
fprintf(fileID,fmt,text);

[rA,cA] = size(Load);
DatiLoad = zeros(rA,cA);
for ii=1:cA % numero di Pressure Link
    if strcmp(NodoLoadLink(ii,3),'4-20 mA')
        %% Conversione da mA a kN
        % Spacchetto i parametri di calibrazione
        a = DCalLLTot(ii,1);
        b = DCalLLTot(ii,2);
        c = DCalLLTot(ii,3);
        DatiLoad(:,ii) = a*(Load(:,ii).^2)+b*Load(:,ii)+c; % conversione
    elseif strcmp(NodoLoadLink(ii,3),'mV/V')
        %% Conversione da mV/V a kN
        % Spacchetto i parametri di calibrazione
        a = DCalLLTot(ii,1);
        b = DCalLLTot(ii,2);
        DatiLoad(:,ii) = a*Load(:,ii)+b; % conversione
    end
end

text = 'Raw Data of Load Link converted into physycal units correctly. conv_grezziLL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end